commit:     b494f3adc4171d519211345b7e3abe29e5dfe9c5
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 18 19:10:58 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Feb 18 19:10:58 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b494f3ad

dev-libs/libee: Port to EAPI 7

Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 dev-libs/libee/libee-0.4.1.ebuild | 31 +++++++++++++++++--------------
 1 file changed, 17 insertions(+), 14 deletions(-)

diff --git a/dev-libs/libee/libee-0.4.1.ebuild 
b/dev-libs/libee/libee-0.4.1.ebuild
index 266f1568695..c00d1015be5 100644
--- a/dev-libs/libee/libee-0.4.1.ebuild
+++ b/dev-libs/libee/libee-0.4.1.ebuild
@@ -1,9 +1,7 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=4
-
-inherit autotools-utils
+EAPI=7
 
 DESCRIPTION="An Event Expression Library inspired by CEE"
 HOMEPAGE="http://www.libee.org";
@@ -12,22 +10,27 @@ SRC_URI="http://www.libee.org/files/download/${P}.tar.gz";
 LICENSE="LGPL-2.1"
 SLOT="0"
 KEYWORDS="amd64 arm ~arm64 hppa x86 ~amd64-linux"
-IUSE="debug static-libs"
+IUSE="debug"
 
-DEPEND="dev-libs/libxml2
+RDEPEND="
+       dev-libs/libxml2
        dev-libs/libestr"
-RDEPEND="${DEPEND}"
-
-DOCS=(INSTALL ChangeLog)
+DEPEND="${RDEPEND}"
 
 src_configure() {
-       local myeconfargs=(
+       econf \
+               --disable-static \
+               --enable-testbench \
                $(use_enable debug)
-               --enable-testbench
-       )
-       autotools-utils_src_configure
 }
 
 src_compile() {
-       autotools-utils_src_compile -j1
+       emake -j1
+}
+
+src_install() {
+       default
+
+       # no static archives
+       find "${D}" -name '*.la' -delete || die
 }

Reply via email to